package com.tencent.mm.plugin.appbrand.jsapi.m;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.widget.picker.f;
import com.tencent.mm.sdk.platformtools.al;
import org.json.JSONObject;

final class j extends d {
    int hUA = Integer.MAX_VALUE;
    int hUB = Integer.MAX_VALUE;
    int hUC = -1;
    int hUD = -1;
    int hUy = -1;
    int hUz = -1;

    j() {
    }

    /* Access modifiers changed, original: final */
    public final void C(JSONObject jSONObject) {
        int[] EO;
        AppMethodBeat.i(126368);
        JSONObject optJSONObject = jSONObject.optJSONObject("range");
        if (optJSONObject != null) {
            String optString = optJSONObject.optString("start");
            String optString2 = optJSONObject.optString("end");
            int[] EO2 = f.EO(optString);
            if (EO2 != null) {
                this.hUy = EO2[0];
                this.hUz = EO2[1];
            }
            EO = f.EO(optString2);
            if (EO != null) {
                this.hUA = EO[0];
                this.hUB = EO[1];
            }
        }
        this.hUy = Math.max(this.hUy, 0);
        this.hUz = Math.max(this.hUz, 0);
        this.hUA = Math.min(this.hUA, 23);
        this.hUB = Math.min(this.hUB, 59);
        EO = f.EO(jSONObject.optString("current"));
        if (EO != null) {
            this.hUC = EO[0];
            this.hUD = EO[1];
        }
        al.d(new 1(this));
        AppMethodBeat.o(126368);
    }
}
